#!/bin/bash

users=`last | cut -f 1 -d ' ' | grep -v root | grep -v wtmp | grep -v reboot | sort | uniq`

#sleep up to 50sec to prevent all the machines from creating the same dir simultaneously
sleep $[RANDOM%50]

for i in $users; do
  if [ ! -d "/farmshare/user_data/$i" ]; then
    # if directory doesn't exist, create it and chown it
    mkdir --mode=0700 /farmshare/user_data/$i
    chown $i: /farmshare/user_data/$i
  fi
done
