#!/bin/bash
date; uptime; free -m;
vmstat 1 5
ps axfww -o ruser,pid,%cpu,%mem,stat,time,cmd
if which iptables 2>&1 > /dev/null; then
  if [ -e /tmp/iptables_default ]; then
    iptables -L -n | diff /tmp/iptables_default - | awk '{print "IPTABLES: " $0}'
  fi
  iptables -L -n > /tmp/iptables_default
fi
if [ -e /tmp/dmesg_default ]; then
	dmesg | diff -u /tmp/dmesg_default - | grep '^+' | awk '{print "DMESG:" $0}'
fi
dmesg > /tmp/dmesg_default
