#!/bin/bash

# Alex wants to track how many users log in to our systems per day

last | grep "`date +"%b %_d"`" | awk '{print $1}' | sort | uniq | grep -v root | grep -v wtmp | wc -l  | xargs logger "unique users today"

# roll this out via puppet, add cron line like
# /etc/cron.d/print_num_of_unique_users
# 58 23 * * * root /root/tmp/print_num_of_unique_users.sh
